This is an updated and fixed version of the Sell Bodies mod.

In the config you can change the amount of credits the bodies are worth, the weight of the bodies, if the bodies are one-handed or two-handed and which mobs can spawn bodies **(modded enemies are supported)**.\
**This mod does not and will never support the following enemies: Masked, Butler and Earth Leviathan.**\
Even enemies that aren't normally killable have bodies/drops, this was done in case someone created a mod capable of killing those enemies.\
**If you don't have ways to kill the vanilla unkillable enemies, those bodies/drops will be unobtainable.**

## Known Issues
- The configs are not fully synced, so please make sure all players have the same configs.

## V 1.8.6:
- I hope i managed to fix the problem of the original bodies not disappearing correctly (I'm going crazy because of this problem).

## V 1.8.5:
- Shotgun spawn with the correct rotation after the Nutcracker has been killed.

## V 1.8.4:
- Bodies spawn with the correct rotation after the enemy has been killed.

## V 1.8.3:
- Replaced the compatibility system, implemented for other mods, added in version 1.8.2.
- Removed redundant functions from the code.
- (Hopefully for the last time) Fixed an issue where the original enemy bodies could remain visible for some players (Update: apparently it didn't work).

## V 1.8.2:
- Increased compatibility with other mods.

## V 1.8.1:
- Fixed the config name for the Tulip Snake body weight.

## V 1.8.0:
- Added Tulip Snake body.
- Changed Manticoil body name.

## V 1.7.2:
- Fixed an issue where bodies/remains of modded enemy would not spawn.

## V 1.7.1:
- Fixed an issue where the original enemy body would not disappear if it was killed by a client and not the server.

## V 1.7.0:
- The mod supports v50 of the game.
- Added bodies for the Manticoil and RadMech.
- Fixed an issue with Scan Nodes on some bodies.

## V 1.6.0:
- Now even unkillable enemies in vanilla have drops.
- Modded enemies now drop remains whose value varies based on the spawn weight of the killed enemy.
- Added the ability to configure whether a body/drop is one-handed or two-handed.
- Fixed an issue with Scan Nodes on some bodies.
- Changed the structure of the config file (It is advisable to delete and regenerate the config file).

## V 1.5.0:
- Now the value of the bodies has a multiplier that varies based on the "Maximum Power" of the moons (see the wiki).
- Added config to change the multiplier.
- Code optimization.

## V 1.4.1:
- Dependencies update.

## V 1.4.0:
- Finally fixed the issue where the value of the bodies was not synced with the host.
- Now shotguns also have the value synced with the host.

## V 1.3.0:
- Added a custom icon for bodies when held.
- Changed the position in which the Thumper's body spawns.

## V 1.2.2:
- Small changes to the code, nothing should have changed in terms of gameplay.

## V 1.2.1:
- Fixed all issues caused by only making the original body mesh invisible.
- Changed how the Nutcracker shotgun spawns.

## V 1.2.0:
- The Nutcracker body has been reintroduced.
- Enemies should now have a death animation before being turned into collectible bodies.
- Fixed a bug where the Nutcracker shotgun would appear at the initial spawn location of the Nutcracker after its death.
- Fixed a bug where the Nutcracker would not drop ammunition upon death.
- Fixed a bug where the Spider webs would remain indestructible after the Spider death.

## V 1.1.0:
- Changed the model of the Bracken remains.
- Changed the position of the Thumper's body when carrying it. This should fix the body drop position (previously it was dropped too far to the left).

## V 1.0.1:
- Fixed a bug where the mod tried to load the Nutcracker body.

## V 1.0.0:
- Fixed the Baboon Hawk body bugged price.
- Removed Nutcracker body due to issues with shotgun and shells drop.

Original author of the mod: https://thunderstore.io/c/lethal-company/p/malco/SellBodies/